local levelPoints = 5
local mobKillsPoints = 5
local questPoints = 5
local discoveryPoints = 5
local professionTotal = 10
local professionPoints = 5
local dangerousEnemiesPoints = 5

HCS_MilestonesDB = {

    -- Killing Mobs Milestones
    {
      id = "mobk_1",
      name = "Killed 100 enemies",
      desc = "Milestone! Congrats! You've killed 100 enemies",
      shortdesc = "100 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_2",
      name = "Killed 200 enemies",
      desc = "Milestone! Congrats! You've killed 200 enemies",
      shortdesc = "200 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_3",
      name = "Killed 300 enemies",
      desc = "Milestone! Congrats! You've killed 300 enemies",
      shortdesc = "300 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_4",
      name = "Killed 400 enemies",
      desc = "Milestone! Congrats! You've killed 400 enemies",
      shortdesc = "400 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_5",
      name = "Killed 500 enemies",
      desc = "Milestone! Congrats! You've killed 500 enemies",
      shortdesc = "500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_6",
      name = "Killed 600 enemies",
      desc = "Milestone! Congrats! You've killed 600 enemies",
      shortdesc = "600 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_7",
      name = "Killed 700 enemies",
      desc = "Milestone! Congrats! You've killed 700 enemies",
      shortdesc = "700 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_8",
      name = "Killed 800 enemies",
      desc = "Milestone! Congrats! You've killed 800 enemies",
      shortdesc = "800 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_9",
      name = "Killed 900 enemies",
      desc = "Milestone! Congrats! You've killed 200 enemies",
      shortdesc = "900 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    },
    {
      id = "mobk_10",
      name = "Killed 1500 enemies",
      desc = "Milestone! Congrats! You've killed 1,500 enemies",
      shortdesc = "1,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_11",
      name = "Killed 2000 enemies",
      desc = "Milestone! Congrats! You've killed 2,000 enemies",
      shortdesc = "2,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_12",
      name = "Killed 2500 enemies",
      desc = "Milestone! Congrats! You've killed 2,500 enemies",
      shortdesc = "2,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_13",
      name = "Killed 3000 enemies",
      desc = "Milestone! Congrats! You've killed 3,000 enemies",
      shortdesc = "3,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_14",
      name = "Killed 3500 enemies",
      desc = "Milestone! Congrats! You've killed 3,500 enemies",
      shortdesc = "3,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    },
    {
      id = "mobk_15",
      name = "Killed 4000 enemies",
      desc = "Milestone! Congrats! You've killed 4,000 enemies",
      shortdesc = "4,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_16",
      name = "Killed 4500 enemies",
      desc = "Milestone! Congrats! You've killed 4,500 enemies",
      shortdesc = "4,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_17",
      name = "Killed 5500 enemies",
      desc = "Milestone! Congrats! You've killed 5,500 enemies",
      shortdesc = "5,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_18",
      name = "Killed 6000 enemies",
      desc = "Milestone! Congrats! You've killed 6,000 enemies",
      shortdesc = "6,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_19",
      name = "Killed 6500 enemies",
      desc = "Milestone! Congrats! You've killed 6,500 enemies",
      shortdesc = "6,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_20",
      name = "Killed 7000 enemies",
      desc = "Milestone! Congrats! You've killed 7,000 enemies",
      shortdesc = "7,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_21",
      name = "Killed 7500 enemies",
      desc = "Milestone! Congrats! You've killed 7,500 enemies",
      shortdesc = "7,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_22",
      name = "Killed 8000 enemies",
      desc = "Milestone! Congrats! You've killed 8,000 enemies",
      shortdesc = "8,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_23",
      name = "Killed 8500 enemies",
      desc = "Milestone! Congrats! You've killed 8,500 enemies",
      shortdesc = "8,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 
    {
      id = "mobk_24",
      name = "Killed 9000 enemies",
      desc = "Milestone! Congrats! You've killed 9,000 enemies",
      shortdesc = "9,000 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    },
    {
      id = "mobk_25",
      name = "Killed 9500 enemies",
      desc = "Milestone! Congrats! You've killed 9,500 enemies",
      shortdesc = "9,500 enemies killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.EnemiesKilled,
    }, 


    -- Killing Mob Types Milestones
    {
      id = "mobkt_1",
      name = "Killed 10 creature types",
      desc = "Milestone! Congrats! You've killed 10 creature types",
      shortdesc = "10 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_2",
      name = "Killed 20 creature types",
      desc = "Milestone! Congrats! You've killed 20 creature types",
      shortdesc = "20 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_3",
      name = "Killed 30 creature types",
      desc = "Milestone! Congrats! You've killed 30 creature types",
      shortdesc = "30 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_4",
      name = "Killed 40 creature types",
      desc = "Milestone! Congrats! You've killed 40 creature types",
      shortdesc = "40 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_5",
      name = "Killed 50 creature types",
      desc = "Milestone! Congrats! You've killed 50 creature types",
      shortdesc = "50 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_6",
      name = "Killed 60 creature types",
      desc = "Milestone! Congrats! You've killed 60 creature types",
      shortdesc = "60 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_7",
      name = "Killed 70 creature types",
      desc = "Milestone! Congrats! You've killed 70 creature types",
      shortdesc = "70 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_8",
      name = "Killed 80 creature types",
      desc = "Milestone! Congrats! You've killed 80 creature types",
      shortdesc = "80 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_9",
      name = "Killed 90 creature types",
      desc = "Milestone! Congrats! You've killed 90 creature types",
      shortdesc = "90 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_10",
      name = "Killed 110 creature types",
      desc = "Milestone! Congrats! You've killed 110 creature types",
      shortdesc = "110 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    }, 
    {
      id = "mobkt_11",
      name = "Killed 120 creature types",
      desc = "Milestone! Congrats! You've killed 120 creature types",
      shortdesc = "120 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_12",
      name = "Killed 130 creature types",
      desc = "Milestone! Congrats! You've killed 130 creature types",
      shortdesc = "130 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_13",
      name = "Killed 140 creature types",
      desc = "Milestone! Congrats! You've killed 140 creature types",
      shortdesc = "140 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_14",
      name = "Killed 150 creature types",
      desc = "Milestone! Congrats! You've killed 150 creature types",
      shortdesc = "150 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_15",
      name = "Killed 160 creature types",
      desc = "Milestone! Congrats! You've killed 160 creature types",
      shortdesc = "160 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_16",
      name = "Killed 170 creature types",
      desc = "Milestone! Congrats! You've killed 170 creature types",
      shortdesc = "170 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_17",
      name = "Killed 180 creature types",
      desc = "Milestone! Congrats! You've killed 180 creature types",
      shortdesc = "180 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },
    {
      id = "mobkt_18",
      name = "Killed 190 creature types",
      desc = "Milestone! Congrats! You've killed 190 creature types",
      shortdesc = "190 creature types killed",
      points = mobKillsPoints,
      textcolor = HCS_MilestonesColors.CreatureTypes,
    },

    -- Total Quests Milestones
    {
      id = "qtot_1",
      name = "Completed 10 quests",
      desc = "Milestone! Congrats! You've completed 10 Quests",
      shortdesc = "10 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_2",
      name = "Completed 50 quests",
      desc = "Milestone! Congrats! You've completed 50 Quests",
      shortdesc = "50 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_3",
      name = "Completed 150 quests",
      desc = "Milestone! Congrats! You've completed 150 Quests",
      shortdesc = "150 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_4",
      name = "Completed 200 quests",
      desc = "Milestone! Congrats! You've completed 200 Quests",
      shortdesc = "200 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_5",
      name = "Completed 250 quests",
      desc = "Milestone! Congrats! You've completed 250 Quests",
      shortdesc = "250 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_6",
      name = "Completed 300 quests",
      desc = "Milestone! Congrats! You've completed 300 Quests",
      shortdesc = "300 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_7",
      name = "Completed 350 quests",
      desc = "Milestone! Congrats! You've completed 350 Quests",
      shortdesc = "350 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_8",
      name = "Completed 400 quests",
      desc = "Milestone! Congrats! You've completed 400 Quests",
      shortdesc = "400 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_9",
      name = "Completed 450 quests",
      desc = "Milestone! Congrats! You've completed 450 Quests",
      shortdesc = "450 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_10",
      name = "Completed 550 quests",
      desc = "Milestone! Congrats! You've completed 550 Quests",
      shortdesc = "550 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    }, 
    {
      id = "qtot_11",
      name = "Completed 600 quests",
      desc = "Milestone! Congrats! You've completed 600 Quests",
      shortdesc = "600 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },    
    {
      id = "qtot_12",
      name = "Completed 650 quests",
      desc = "Milestone! Congrats! You've completed 650 Quests",
      shortdesc = "650 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_13",
      name = "Completed 700 quests",
      desc = "Milestone! Congrats! You've completed 700 Quests",
      shortdesc = "700 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_14",
      name = "Completed 750 quests",
      desc = "Milestone! Congrats! You've completed 750 Quests",
      shortdesc = "750 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_15",
      name = "Completed 800 quests",
      desc = "Milestone! Congrats! You've completed 800 Quests",
      shortdesc = "800 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_16",
      name = "Completed 850 quests",
      desc = "Milestone! Congrats! You've completed 850 Quests",
      shortdesc = "850 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_17",
      name = "Completed 900 quests",
      desc = "Milestone! Congrats! You've completed 900 Quests",
      shortdesc = "900 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },
    {
      id = "qtot_18",
      name = "Completed 950 quests",
      desc = "Milestone! Congrats! You've completed 950 Quests",
      shortdesc = "950 quests completed",
      points = questPoints,
      textcolor = HCS_MilestonesColors.QuestsCompleted,
    },

    -- Discovery
    {
      id = "disc_1",
      name = "Completed 10 Discoveries",
      desc = "Milestone! Congrats! You've made 10 Discoveries",
      shortdesc = "10 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_2",
      name = "Completed 50 Discoveries",
      desc = "Milestone! Congrats! You've made 50 Discoveries",
      shortdesc = "50 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_3",
      name = "Completed 150 Discoveries",
      desc = "Milestone! Congrats! You've made 150 Discoveries",
      shortdesc = "150 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_4",
      name = "Completed 200 Discoveries",
      desc = "Milestone! Congrats! You've made 200 Discoveries",
      shortdesc = "200 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_5",
      name = "Completed 250 Discoveries",
      desc = "Milestone! Congrats! You've made 250 Discoveries",
      shortdesc = "250 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_6",
      name = "Completed 300 Discoveries",
      desc = "Milestone! Congrats! You've made 300 Discoveries",
      shortdesc = "300 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_7",
      name = "Completed 350 Discoveries",
      desc = "Milestone! Congrats! You've made 350 Discoveries",
      shortdesc = "350 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_8",
      name = "Completed 400 Discoveries",
      desc = "Milestone! Congrats! You've made 400 Discoveries",
      shortdesc = "400 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_9",
      name = "Completed 450 Discoveries",
      desc = "Milestone! Congrats! You've made 450 Discoveries",
      shortdesc = "450 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_10",
      name = "Completed 550 Discoveries",
      desc = "Milestone! Congrats! You've made 550 Discoveries",
      shortdesc = "550 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    }, 
    {
      id = "disc_11",
      name = "Completed 600 Discoveries",
      desc = "Milestone! Congrats! You've made 600 Discoveries",
      shortdesc = "600 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_12",
      name = "Completed 650 Discoveries",
      desc = "Milestone! Congrats! You've made 650 Discoveries",
      shortdesc = "650 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_13",
      name = "Completed 700 Discoveries",
      desc = "Milestone! Congrats! You've made 700 Discoveries",
      shortdesc = "700 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_14",
      name = "Completed 750 Discoveries",
      desc = "Milestone! Congrats! You've made 750 Discoveries",
      shortdesc = "750 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_15",
      name = "Completed 800 Discoveries",
      desc = "Milestone! Congrats! You've made 800 Discoveries",
      shortdesc = "800 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_16",
      name = "Completed 850 Discoveries",
      desc = "Milestone! Congrats! You've made 850 Discoveries",
      shortdesc = "850 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_17",
      name = "Completed 900 Discoveries",
      desc = "Milestone! Congrats! You've made 900 Discoveries",
      shortdesc = "900 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },
    {
      id = "disc_18",
      name = "Completed 950 Discoveries",
      desc = "Milestone! Congrats! You've made 950 Discoveries",
      shortdesc = "950 discoveries made",
      points = discoveryPoints,
      textcolor = HCS_MilestonesColors.Discoveries,
    },

    -- Professions Total (Started)
    {
      id = "proft_1",
      name = "Started 1 Profession",
      desc = "Milestone! Congrats! You've started 1 profession",
      shortdesc = "Started 1 profession",
      points = professionTotal,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "proft_2",
      name = "Started 5 Professions",
      desc = "Milestone! Congrats! You've started 5 professions",
      shortdesc = "Started 5 professions",
      points = professionTotal,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "proft_3",
      name = "Started 10 Professions",
      desc = "Milestone! Congrats! You've started 10 professions",
      shortdesc = "Started 10 professions",
      points = professionTotal,
      textcolor = HCS_MilestonesColors.Professions,
    },

    -- Profession points
    {
      id = "profp_1",
      name = "10 Profession Points",
      desc = "Milestone! Congrats! You have 10 Profession Points",
      shortdesc = "10 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_2",
      name = "50 Profession Points",
      desc = "Milestone! Congrats! You have 50 Profession Points",
      shortdesc = "50 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_3",
      name = "100 Profession Points",
      desc = "Milestone! Congrats! You have 100 Profession Points",
      shortdesc = "100 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_4",
      name = "200 Profession Points",
      desc = "Milestone! Congrats! You have 200 Profession Points",
      shortdesc = "200 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_5",
      name = "300 Profession Points",
      desc = "Milestone! Congrats! You have 300 Profession Points",
      shortdesc = "300 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_6",
      name = "400 Profession Points",
      desc = "Milestone! Congrats! You have 400 Profession Points",
      shortdesc = "400 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_7",
      name = "500 Profession Points",
      desc = "Milestone! Congrats! You have 500 Profession Points",
      shortdesc = "500 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_8",
      name = "750 Profession Points",
      desc = "Milestone! Congrats! You have 750 Profession Points",
      shortdesc = "750 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_9",
      name = "1000 Profession Points",
      desc = "Milestone! Congrats! You have 1,000 Profession Points",
      shortdesc = "1,000 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_10",
      name = "1500 Profession Points",
      desc = "Milestone! Congrats! You have 1,500 Profession Points",
      shortdesc = "1,500 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_11",
      name = "2000 Profession Points",
      desc = "Milestone! Congrats! You have 2,000 Profession Points",
      shortdesc = "2,000 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },
    {
      id = "profp_12",
      name = "2500 Profession Points",
      desc = "Milestone! Congrats! You have 2,500 Profession Points",
      shortdesc = "2,500 Profession Points",
      points = professionPoints,
      textcolor = HCS_MilestonesColors.Professions,
    },

    -- Dangerous Enemies Killed
    {
      id = "dek_1",
      name = "Killed 5 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 5 dangerous enemies",
      shortdesc = "5 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_2",
      name = "Killed 25 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 25 dangerous enemies",
      shortdesc = "25 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_3",
      name = "Killed 50 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 50 dangerous enemies",
      shortdesc = "50 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_4",
      name = "Killed 75 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 75 dangerous enemies",
      shortdesc = "75 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_5",
      name = "Killed 125 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 125 dangerous enemies",
      shortdesc = "125 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_6",
      name = "Killed 150 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 150 dangerous enemies",
      shortdesc = "150 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_7",
      name = "Killed 175 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 175 dangerous enemies",
      shortdesc = "175 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_8",
      name = "Killed 200 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 200 dangerous enemies",
      shortdesc = "200 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_9",
      name = "Killed 225 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 225 dangerous enemies",
      shortdesc = "225 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_10",
      name = "Killed 250 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 250 dangerous enemies",
      shortdesc = "250 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_11",
      name = "Killed 275 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 275 dangerous enemies",
      shortdesc = "275 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_12",
      name = "Killed 300 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 300 dangerous enemies",
      shortdesc = "300 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_13",
      name = "Killed 325 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 325 dangerous enemies",
      shortdesc = "325 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_14",
      name = "Killed 350 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 350 dangerous enemies",
      shortdesc = "350 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_15",
      name = "Killed 375 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 375 dangerous enemies",
      shortdesc = "375 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_16",
      name = "Killed 400 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 400 dangerous enemies",
      shortdesc = "400 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_17",
      name = "Killed 425 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 425 dangerous enemies",
      shortdesc = "425 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_18",
      name = "Killed 450 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 450 dangerous enemies",
      shortdesc = "450 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_19",
      name = "Killed 475 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 475 dangerous enemies",
      shortdesc = "475 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_20",
      name = "Killed 525 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 525 dangerous enemies",
      shortdesc = "525 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_21",
      name = "Killed 550 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 550 dangerous enemies",
      shortdesc = "550 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_22",
      name = "Killed 575 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 575 dangerous enemies",
      shortdesc = "575 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_23",
      name = "Killed 600 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 600 dangerous enemies",
      shortdesc = "600 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_24",
      name = "Killed 625 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 625 dangerous enemies",
      shortdesc = "625 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_25",
      name = "Killed 650 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 650 dangerous enemies",
      shortdesc = "650 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_26",
      name = "Killed 675 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 675 dangerous enemies",
      shortdesc = "675 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_27",
      name = "Killed 700 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 700 dangerous enemies",
      shortdesc = "700 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_28",
      name = "Killed 725 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 725 dangerous enemies",
      shortdesc = "725 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_29",
      name = "Killed 750 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 750 dangerous enemies",
      shortdesc = "750 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_30",
      name = "Killed 775 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 775 dangerous enemies",
      shortdesc = "775 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_31",
      name = "Killed 800 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 800 dangerous enemies",
      shortdesc = "800 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_32",
      name = "Killed 825 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 825 dangerous enemies",
      shortdesc = "825 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_33",
      name = "Killed 850 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 850 dangerous enemies",
      shortdesc = "850 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_34",
      name = "Killed 875 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 875 dangerous enemies",
      shortdesc = "875 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_35",
      name = "Killed 900 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 900 dangerous enemies",
      shortdesc = "900 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_36",
      name = "Killed 925 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 925 dangerous enemies",
      shortdesc = "925 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_37",
      name = "Killed 950 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 950 dangerous enemies",
      shortdesc = "950 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 
    {
      id = "dek_38",
      name = "Killed 975 dangerous enemies",
      desc = "Milestone! Congrats! You've killed 975 dangerous enemies",
      shortdesc = "975 dangerous enemies killed",
      points = dangerousEnemiesPoints,
      textcolor = HCS_MilestonesColors.DangerousEnemiesKilled,
    }, 

}